From 209a625ffa40bb4e2b0bfc36bc5f112d2ab293dc Mon Sep 17 00:00:00 2001
From: Peter Penchev <openstack-dev@storpool.com>
Date: Tue, 10 Sep 2019 11:38:01 +0300
Subject: [PATCH] DNM: diagnostics output while loading the config.

Change-Id: I4516e496482f5b19617ecf6958a5c3ee107ccb88
---
 cinder/volume/driver.py           | 4 ++++
 cinder/volume/drivers/storpool.py | 4 ++++
 cinder/volume/manager.py          | 4 ++++
 3 files changed, 12 insertions(+)

diff --git a/cinder/volume/driver.py b/cinder/volume/driver.py
index 6c9c47489..b8fe16dce 100644
--- a/cinder/volume/driver.py
+++ b/cinder/volume/driver.py
@@ -16,6 +16,7 @@
 """Drivers for volumes."""
 
 import abc
+import sys  # RDBG
 import time
 
 from os_brick import exception as brick_exception
@@ -382,12 +383,15 @@ class BaseVD(object):
 
     def __init__(self, execute=utils.execute, *args, **kwargs):
         # NOTE(vish): db is set by Manager
+        print(f'RDBG BaseVD.__init__() invoked, args {repr(args)} kwargs {repr(kwargs)}', file=sys.stderr)
         self.db = kwargs.get('db')
         self.host = kwargs.get('host')
         self.cluster_name = kwargs.get('cluster_name')
         self.configuration = kwargs.get('configuration', None)
+        print(f'RDBG - self.configuration {self.configuration}', file=sys.stderr)
 
         if self.configuration:
+            print(f'RDBG - appending config values', file=sys.stderr)
             self.configuration.append_config_values(volume_opts)
             self.configuration.append_config_values(iser_opts)
             self.configuration.append_config_values(nvmet_opts)
diff --git a/cinder/volume/drivers/storpool.py b/cinder/volume/drivers/storpool.py
index 2c7c82c41..7659ff403 100644
--- a/cinder/volume/drivers/storpool.py
+++ b/cinder/volume/drivers/storpool.py
@@ -18,6 +18,7 @@
 from __future__ import absolute_import
 
 import platform
+import sys  # RDBG
 
 from oslo_config import cfg
 from oslo_log import log as logging
@@ -97,8 +98,11 @@ class StorPoolDriver(driver.VolumeDriver):
     CI_WIKI_NAME = 'StorPool_CI'
 
     def __init__(self, *args, **kwargs):
+        print(f'RDBG storpool.__init__ args {repr(args)} kwargs {repr(kwargs)}', file=sys.stderr)
         super(StorPoolDriver, self).__init__(*args, **kwargs)
+        print(f'RDBG storpool_opts {repr(storpool_opts)}', file=sys.stderr)
         self.configuration.append_config_values(storpool_opts)
+        print(f'RDBG template {self.configuration.storpool_template}', file=sys.stderr)
         self._sp_config = None
         self._ourId = None
         self._ourIdInt = None
diff --git a/cinder/volume/manager.py b/cinder/volume/manager.py
index 7c4b91dea..d36565769 100644
--- a/cinder/volume/manager.py
+++ b/cinder/volume/manager.py
@@ -37,6 +37,7 @@ intact.
 
 
 import requests
+import sys  # RDBG
 import time
 
 from castellan import key_manager
@@ -211,13 +212,16 @@ class VolumeManager(manager.CleanableManager,
     def __init__(self, volume_driver=None, service_name=None,
                  *args, **kwargs):
         """Load the driver from the one specified in args, or from flags."""
+        print(f'RDBG VolumeManager.__init__(), args {repr(args)} kwargs {repr(kwargs)}', file=sys.stderr)
         # update_service_capabilities needs service_name to be volume
         super(VolumeManager, self).__init__(service_name='volume',
                                             *args, **kwargs)
         # NOTE(dulek): service_name=None means we're running in unit tests.
         service_name = service_name or 'backend_defaults'
+        print(f'RDBG - about to create a Configuration object, opts {repr(volume_backend_opts)} config_group {repr(service_name)}', file=sys.stderr)
         self.configuration = config.Configuration(volume_backend_opts,
                                                   config_group=service_name)
+        print(f'RDBG - self.configuration is {repr(self.configuration)}', file=sys.stderr)
         self._set_tpool_size(
             self.configuration.backend_native_threads_pool_size)
         self.stats = {}
-- 
2.23.0

